'use strict';

var App = require('app/app');
var C = require('app/consts');
var TwitterObservation = require('app/twitter-observation');

module.exports = {
	url: C.get('host') + '/tweets',
	model: TwitterObservation,
	comparator: function(model) {
		return -(moment(model.get('created_at')).toDate().getTime());
	}
}