'use strict';

// Config is for machine-local settings
var config = require('app/config');

module.exports = (function() {
	var consts = {
		CLUSTER_SIZE: 10,
		CLUSTER_GRID_SIZE: 100,
		VERIFY_TWEETS_COLLECTION_SIZE: 15,
		red: 'Red',
		gree: 'Green',
		whit: 'White',
		pink: 'Pink',
		othr: 'Other',
		acti: 'Active motion',
		quie: 'Quiet, not moving much',
		very: 'Very active, racing across the sky',
		arcs: 'Discrete Arcs',
		glow: 'Diffuse Glow',
		patc: 'Patches (Pulsating)',
		clou: 'Cloudy, partially cloudy, raining, or snowing',
		clea: 'Clear',
		brig: 'Bright from light pollution, or the moon, only a few stars visible',
		n: 'Northern horizon only',
		n45: '45 Degrees North',
		over: 'Overhead',
		s45: '45 Degrees South',
		whol: 'Whole Sky',
		pos: 'positive',
		neg: 'negative',
		oth: 'other'
	};

	_.extend(consts, config.consts);

	return {
		get: function(key) {
			return consts[key];
		}
	}
}.call(this));