'use strict';

//this is mostly a lightweight reimplementation of Bootstrap's dropdown.
module.exports = function(){ 
    var my = {};

    var element = null;
    var button = null;
    var ev = 'click';

    my.init = function(b, e){
        button = b;
        element = e;
        button.on(ev, my.toggle);
        element.children('li').on(ev, function(){hide(100);});
    }

    my.toggle = function(e){
        var time = 150;

        if (element.css('display') == 'none')
            show(time);
        else
            hide(time);
    }

    function hide(time){
        setTimeout(function(){
            element.hide(time >= 0 ? time : 0);
        }, 250);

        $('.backdrop').remove();
    }

    function show(time){
        element.show(time >= 0 ? time : 0);
            $('<div class="backdrop"/>').insertAfter('body').on(ev, function(){
          hide(100);
        });
    }

    return my;
};