'use strict';

var App = require('app/app');

module.exports = Marionette.ItemView.extend({
    id:"helpPopup",
    className: "genericPopup",

	template: aur.tpl['help-popup-view-tpl'],

    ui: {
        closeButton: '.popupx'
    },

    events: {
        'click @ui.closeButton': 'closePopup'
    },

	initialize: function() {

	},

    openPopup: function(){
        this.$el.css('display', 'block');
    },

    closePopup: function(){
        this.$el.css('display', 'none');
    },

    togglePopup: function(){
        if (this.$el.css('display') === 'none')
            this.openPopup();
        else
            this.closePopup();
    }

});