'use strict';

var App = require('app/app');
var LandingPageView = require('app/landing-page-view.js');

module.exports = Marionette.Controller.extend({
	initialize: function(options) {
        this.showPage();

        App.commands.setHandler('showLandingPage', function() {
            this.showPage();
            Backbone.history.navigate('landing/');
        }.bind(this));
    },

    showPage: function(){
    	var view = new LandingPageView({
    		model: new Backbone.Model(),
    	});

        App.main.show(view);
    }
});