'use strict';

var ViewCopycat = require('app/view-copycat');

var MobileCloudCoverView = Marionette.ItemView.extend({
	tagName: 'li',
    id: 'cloud-cover',
    className: 'filter-toggle',
    template: Handlebars.compile('<span id="cloud-cover-input"> Cloud Cover</span>'),

    update:'updateCloudCover',
    isActive:'isCloudCoverActive',
    toggle:'toggleCloudCoverLayer'
});

_.extend(MobileCloudCoverView.prototype, ViewCopycat);

module.exports = MobileCloudCoverView;