'use strict';

var ViewCopycat = require('app/view-copycat');

var MobileCurrentConditionsView = Marionette.ItemView.extend({
	tagName: 'li',
    id: 'current-conditions',
    className: 'filter-toggle',
    template: Handlebars.compile('<span id="current-conditions-input"> Current Conditions</span>'),

    update: 'currentConditionsUpdate',
    isActive: 'currentConditionsIsActive',
    toggle: 'currentConditionsToggle'
});

_.extend(MobileCurrentConditionsView.prototype, ViewCopycat);

module.exports = MobileCurrentConditionsView;