'use strict';

var ViewCopycat = require('app/view-copycat');

var MobileNegativeSightingFilterView = Marionette.ItemView.extend({
	tagName: 'li',
    className: 'filter-toggle',
    id: 'negativeListItem',
    template: Handlebars.compile(
        '<span id="negative-sighting-input">Negative Sighting</span>'+
        '<span class="first-legend-icon negative-sighting-icon"></span>'+
        '<span class="second-legend-icon negative-group-sighting-icon"></span>'+
        '<span class="legend-icon-group-text">10+</span>'
    ),

    update: 'negativeSightingFilterUpdate',
    isCopyActive: 'negativeSightingFilterIsActive',
    toggle: 'negativeSightingFilterToggle'
});

_.extend(MobileNegativeSightingFilterView.prototype, ViewCopycat);

module.exports = MobileNegativeSightingFilterView;