'use strict';

var ViewCopycat = require('app/view-copycat');

var MobileOvalForecastView = Marionette.ItemView.extend({
	tagName: 'li',
    className: 'filter-toggle',
    template: Handlebars.compile('<span>1 Hour Forecast</span>'),

    update: 'updateForecastToggles',
    isCopyActive: 'isOvalForecastActive',
    toggle: 'toggleForecast'
});

_.extend(MobileOvalForecastView.prototype, ViewCopycat);

module.exports = MobileOvalForecastView;