'use strict';

var ViewCopycat = require('app/view-copycat');

var MobileScientistLegendView = Marionette.ItemView.extend({
	tagName: 'li',
    className: 'filter-toggle',
    template: Handlebars.compile(
        '<span>Scientist</span>'+
        '<span class="first-legend-icon scientist-icon"></span>'
    ),

    update: 'ScientistFilterUpdate',
    isCopyActive: 'ScientistFilterIsActive',
    toggle: 'ScientistFilterToggle',
});

_.extend(MobileScientistLegendView.prototype, ViewCopycat);

module.exports = MobileScientistLegendView;