'use strict';

var ViewCopycat = require('app/view-copycat');

var MobileTwitterVerifiedFilterView = Marionette.ItemView.extend({
	tagName: 'li',
    className: 'filter-toggle',
    template: Handlebars.compile(
        '<span id="twitter-verified-layer-input">Verified Tweet</span>'+
        '<span class="first-legend-icon verified-icon"></span>'+
        '<span class="second-legend-icon verified-group-icon"></span>'+
        '<span class="legend-icon-group-text">10+</span>'
    ),

    update: 'twitterVerifiedFilterViewUpdate',
    isCopyActive: 'twitterVerifiedFilterViewIsActive',
    toggle: 'twitterVerifiedFilterViewToggle'
});

_.extend(MobileTwitterVerifiedFilterView.prototype, ViewCopycat);


module.exports = MobileTwitterVerifiedFilterView;