'use strict'

var App = require('app/app')

module.exports = Marionette.ItemView.extend({
	
	template: Handlebars.compile(
		'<img class="profilePicture" src="{{profile_picture}}" alt="{{nickname}}">' + 
		'<button id="edit">Edit Profile Settings</button>'
	),

	ui: {
		editButton: '#edit'
	},

	events: {
		'click @ui.editButton': 'editWasPressed'
	},

	editWasPressed: function(){
		App.execute('editProfileSettings');
		this.ui.editButton.hide();
	}

});