'use strict';

var SpaceWeatherChart = require('app/space-weather-chart');
var MobileNav = require('app/mobile-nav');

var stormTrackerView = Marionette.ItemView.extend({
	template: aur.tpl['storm-tracker-view-tpl'],

	ui:{
		backNav: '#mobileBackButton'
	},

	onRender: function() {
		var spaceWeatherChart = new SpaceWeatherChart({$selector: this.$('#epsilon-graph')});
		spaceWeatherChart.graph();

		if (window.cordova){
			this.ui.backNav.on('click', MobileNav.navBack);
		}
	}
});

_.extend(stormTrackerView.prototype, MobileNav);
module.exports = stormTrackerView;