'use strict';

module.exports = Marionette.ItemView.extend({
    className: 'twitter-status',
    
    template: aur.tpl['tweet-view-tpl'],

    ui: {
        profilePic: '#twitterProfilePic',
        username: '#twitterUsername',
        handle: '#twitterHandle',
        date: '#tweetDate',
        content: '#tweetContent',
        confirmForm: '#mapDrawerForm',
        openButton: '#mapDrawerActivateButton'
    },

    events: {
        // 'click @ui.openButton': 'toggleTwitterCard',
        'submit @ui.confirmForm': 'submitVote',
        'click a': 'openURL'
    },

    openURL: function(e) {
        if(window.cordova) {
            e.preventDefault();
            MobileUtils.openURL(e.currentTarget.href);
        }
    },

});