'use strict';

module.exports = Marionette.ItemView.extend({
    template: aur.tpl['web-sighting-detail-view-tpl'],

    ui: {
    	summaryBtn: '#web-obs-summary-btn',
    	detailsBtn: '#web-obs-details-btn',
    	summary: '#web-obs-summary',
    	details: '#web-obs-details'
    },

    events: {
    	'click @ui.summaryBtn': 'showSummary',
    	'click @ui.detailsBtn': 'showDetails'
    },

    showDetails: function() {
    	this.ui.summary.addClass('hide');
    	this.ui.details.removeClass('hide');

    	this.ui.detailsBtn.addClass('active');
    	this.ui.summaryBtn.removeClass('active');
    },

    showSummary: function() {
    	this.ui.details.addClass('hide');
    	this.ui.summary.removeClass('hide');

    	this.ui.summaryBtn.addClass('active');
    	this.ui.detailsBtn.removeClass('active');
    }
});