'use strict';

var ViewCopycat = require('app/view-copycat');

var MobileDayNightLayerView = Marionette.ItemView.extend({
	tagName: 'li',
    className: 'filter-toggle',
    template: Handlebars.compile('<span id="day-night-input"> Day/Night Line</span>'),

    update: 'updateDayNightToggles',
    isCopyActive: 'isDayNightLayerActive',
    toggle: 'toggleDayNightLayer',
});

_.extend(MobileDayNightLayerView.prototype, ViewCopycat);

module.exports = MobileDayNightLayerView;