'use strict';

var ViewCopycat = require('app/view-copycat');

var MobileOvalEstimateLegendView = Marionette.ItemView.extend({
	tagName: 'li',
    className: 'filter-toggle',
    template: Handlebars.compile(
        '<span>Current Oval Estimate</span>'+
        '<span class="second-legend-icon oval-nowcast-icon"></span>'
    ),

    update: 'updateNowcastToggles',
    isCopyActive: 'isOvalNowcastActive',
    toggle: 'toggleNowcast'
});

_.extend(MobileOvalEstimateLegendView.prototype, ViewCopycat);

module.exports = MobileOvalEstimateLegendView;