'use strict';

var ViewCopycat = require('app/view-copycat');

var MobileOvalEstimateView = Marionette.ItemView.extend({
	tagName: 'li',
    className: 'filter-toggle',
    template: Handlebars.compile('<span>Oval Estimate</span>'),

    update: 'updateNowcastToggles',
    isCopyActive: 'isOvalNowcastActive',
    toggle: 'toggleNowcast'
});

_.extend(MobileOvalEstimateView.prototype, ViewCopycat);

module.exports = MobileOvalEstimateView;