'use strict';

var ViewCopycat = require('app/view-copycat');

var MobilePositiveSightingFilterView = Marionette.ItemView.extend({
	tagName: 'li',
    className: 'filter-toggle',
    template: Handlebars.compile(
        '<span id="positive-sighting-input">Positive Sighting</span>'+
        '<span class="first-legend-icon positive-sighting-icon"></span>'+
        '<span class="second-legend-icon positive-group-sighting-icon"></span>'+
        '<span class="legend-icon-group-text">10+</span>'
    ),

    update: 'positiveSightingFilterUpdate',
    isCopyActive: 'positiveSightingFilterIsActive',
    toggle: 'positiveSightingFilterToggle'
});

_.extend(MobilePositiveSightingFilterView.prototype, ViewCopycat);

module.exports = MobilePositiveSightingFilterView;