'use strict';

var ViewCopycat = require('app/view-copycat');

var MobileTwitterUnverifiedFilterView = Marionette.ItemView.extend({
	tagName: 'li',
    className: 'filter-toggle',
    template: Handlebars.compile(
        '<span id="twitter-reports-layer-input">Unverified Tweet</span>'+
        '<span class="first-legend-icon unverified-icon"></span>'+
        '<span class="second-legend-icon unverified-group-icon"></span>'+
        '<span class="legend-icon-group-text">10+</span>'
    ),

    update: 'twitterUnverifiedFilterViewUpdate',
    isCopyActive: 'twitterUnverifiedFilterViewIsActive',
    toggle: 'twitterUnverifiedFilterViewToggle'
});

_.extend(MobileTwitterUnverifiedFilterView.prototype, ViewCopycat);

module.exports = MobileTwitterUnverifiedFilterView;