module.exports = {
	isPortrait: function() {
		if(typeof window.orientation === 'undefined') return true;
		switch(window.orientation) {  
			case -90:
	      	case 90:
	        	return false;
	        default:
	        	return true;
	    }
	},

	isLandscape: function() {
		return !this.isPortrait();
	},

	openURL: function(url) {
		window.open(url, '_system');
	},
};