'use strict';

var ViewCopycat = require('app/view-copycat');

var OvalEstimateLegendView = Marionette.ItemView.extend({
    tagName: 'li',
    className: 'filter-toggle',
    template: Handlebars.compile(
        '<span class="desktop-legend-estimate">Current Oval Estimate</span>'+
        '<span class="second-legend-icon oval-nowcast-icon"></span>'
    ),

    update: 'updateNowcastToggles',
    isCopyActive: 'isOvalNowcastActive',
    toggle: 'toggleNowcast'
});

_.extend(OvalEstimateLegendView.prototype, ViewCopycat);

module.exports = OvalEstimateLegendView;