'use strict';

var ViewCopycat = require('app/view-copycat');

var OvalForecastLegendView = Marionette.ItemView.extend({
    tagName: 'li',
    className: 'filter-toggle',
	template: Handlebars.compile(
        '<span>1 Hour Forecast</span>'+
        '<span class="second-legend-icon oval-forecast-icon"></span>'
    ),

    update: 'updateForecastToggles',
    isCopyActive: 'isOvalForecastActive',
    toggle: 'toggleForecast'
});

_.extend(OvalForecastLegendView.prototype, ViewCopycat);

module.exports = OvalForecastLegendView;