var RecentActivityPosWebItemView = require("app/recent-activity-pos-web-item-view");
var RecentActivityNegWebItemView = require("app/recent-activity-neg-web-item-view");
var RecentActivityRankTweetItemView = require("app/recent-activity-rank-tweet-item-view");
var RecentActivitySignupItemView = require("app/recent-activity-signup-item-view");

module.exports = Marionette.CompositeView.extend({
	template: Handlebars.compile(
		'<h3>Recent Activity:</h3>'+
		'<div id="recentActivityList"></div>'
	),

	getChildView: function(model) {
		switch (model.get('clazz')) {
			case 'PositiveWebReport':
				return RecentActivityPosWebItemView;
			case 'NegativeWebReport':
				return RecentActivityNegWebItemView;
			case 'RankTweet':
				return RecentActivityRankTweetItemView;
			case 'Signup':
				return RecentActivitySignupItemView;
			default:
				return RecentActivityNegWebItemView;
		}
	},

	childViewContainer: '#recentActivityList'
});