'use strict';

module.exports = new Tour({
    // Set "storage: false" to see tour every visit
    storage: true,
    backdrop: true,
    steps: [
        {
            element: "#learnItem",
            title: "Learn",
            content: "Learn more about where aurora comes from and what we hope to learn about it.",
            placement: 'bottom'
        },
        {
            element: "#registerItem",
            title: "Register",
            content: "Join our community for the only custom alerts based on your location.",
            placement: 'bottom'
        },
        {
            element: "#legendItem",
            title: "Legend",
            content: "Customize your map view to see citizen science reports, those from Twitter, and more.",
            placement: 'top'
        },
        {
            element: "#aurorasItem",
            title: "Aurora Filters",
            content: "Here are different estimates about where the aurora is and will be in the next few hours",
            placement: 'top'
        },
        {
            element: "#weatherItem",
            title: "Weather",
            content: "Take into account darkness and cloud cover in your map view.",
            placement: 'top'
        },
        {
            element: "#socialList",
            title: "Social",
            content: "Tell your friends!",
            placement: 'top'
        }
    ]
});