'use strict';

var App = require('app/app');

module.exports = {

    initialize: function() {
    	App.vent.on(this.update, function(isActive) {
            if(isActive) this.$el.addClass('active');
            else this.$el.removeClass('active');
        }.bind(this));
    },

    onRender: function() {
        this.$el.click(this.toggleAction.bind(this));
        if(App.request(this.isCopyActive)) this.$el.addClass('active');
    },

    toggleAction: function() {
        if(this.el.classList.contains('active')) {
            this.el.classList.remove('active');
        }
        else{
            this.el.classList.add('active');
        }

        App.execute(this.toggle);
    }

}; 